/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.tmx.valueobject;

import java.util.List;

/**
 * LISA TMX の tu をあらわすバリューオブジェクト。
 */
public class BlancoTmxTu {
    /**
     * フィールド [tuid]
     *
     * 項目の型 [java.lang.String]<br>
     * ID。
     */
    private String fTuid;

    /**
     * フィールド [tuvList]
     *
     * 項目の型 [java.util.List]<br>
     * 規定値   [new java.util.ArrayList()]<br>
     * tuvのリスト。
     */
    private List fTuvList = new java.util.ArrayList();

    /**
     * フィールド [tuid]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * ID。
     *
     * @param argTuid フィールド[tuid]に格納したい値
     */
    public void setTuid(final String argTuid) {
        fTuid = argTuid;
    }

    /**
     * フィールド[tuid]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * ID。
     *
     * @return フィールド[tuid]に格納されている値
     */
    public String getTuid() {
        return fTuid;
    }

    /**
     * フィールド [tuvList]のセッターメソッド
     *
     * 項目の型 [java.util.List]<br>
     * tuvのリスト。
     *
     * @param argTuvList フィールド[tuvList]に格納したい値
     */
    public void setTuvList(final List argTuvList) {
        fTuvList = argTuvList;
    }

    /**
     * フィールド[tuvList]のゲッターメソッド
     *
     * 項目の型 [java.util.List]<br>
     * 規定値   [new java.util.ArrayList()]<br>
     * tuvのリスト。
     *
     * @return フィールド[tuvList]に格納されている値
     */
    public List getTuvList() {
        return fTuvList;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * オブジェクトのシャロー範囲でしかtoStringされない点に注意して利用してください。
     *
     * @return バリューオブジェクトの文字列表現。
     */
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.tmx.valueobject.BlancoTmxTu[");
        buf.append("tuid=" + fTuid);
        buf.append(",tuvList=" + fTuvList);
        buf.append("]");
        return buf.toString();
    }
}
